FUNCTION::USER_STRIN(3stap)

NAME
function::user_string_warn - Retrieves string from user space

SYNOPSIS

1) user_string_warn:string(addr:long)

2) user_string_warn:string(addr:long,warn_msg:string)

ARGUMENTS

addr
    the user space address to retrieve the string from

warn_msg
    the warning message to return when data isn't available

DESCRIPTION

1) Returns the null terminated C string from a given user space memory address. Reports "" on the rare cases when userspace data is not accessible and warns (but does not abort) about the failure.

2) Returns the null terminated C string from a given user space memory address. Reports the given warning message on the rare cases when userspace data is not accessible and warns (but does not abort) about the failure.

SEE ALSO
tapset::uconversions(3stap)